GET api/OpenForms?internalId={internalId}

Gets information about a open form.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
internalId

Open Form's unique ID.

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

OpenFormModel
NameDescriptionTypeAdditional information
OpenFormQuestions

List of open form's questions

Collection of OpenFormQuestionModel

None.

OpenFormSections

List of open form's sections

Collection of OpenFormSectionModel

None.

ID

Unique ID of the model.

globally unique identifier

None.

FormLayoutName

Form layout name, it can be form's name.

string

None.

PatientExternalId

Patient's unique ID on integrating system.

string

None.

PatientFullName

Patient's name, it's composed by: first name, last name and middle name.

string

None.

Status

Form's current status, it can be open, completed, closed, cancelled.

string

None.

CreationDate

Form's creation date.

date

None.

Response Formats

application/json, text/json

Sample:
{
  "openFormQuestions": [
    {
      "type": "sample string 1",
      "label": "sample string 2",
      "hint": "sample string 3",
      "questionItemName": "sample string 4",
      "questionItemGroupName": "sample string 5",
      "questionItemAnswerType": "sample string 6",
      "textAnswer": "sample string 7",
      "booleanAnswer": true,
      "dateAnswer": "2026-05-29T16:57:20.1214145+00:00",
      "answerOptionOfOpenFormQuestions": [
        {
          "category": "sample string 1",
          "name": "sample string 2"
        },
        {
          "category": "sample string 1",
          "name": "sample string 2"
        }
      ]
    },
    {
      "type": "sample string 1",
      "label": "sample string 2",
      "hint": "sample string 3",
      "questionItemName": "sample string 4",
      "questionItemGroupName": "sample string 5",
      "questionItemAnswerType": "sample string 6",
      "textAnswer": "sample string 7",
      "booleanAnswer": true,
      "dateAnswer": "2026-05-29T16:57:20.1214145+00:00",
      "answerOptionOfOpenFormQuestions": [
        {
          "category": "sample string 1",
          "name": "sample string 2"
        },
        {
          "category": "sample string 1",
          "name": "sample string 2"
        }
      ]
    }
  ],
  "openFormSections": [
    {
      "labelText": "sample string 1",
      "type": "sample string 2",
      "descriptionText": "sample string 3"
    },
    {
      "labelText": "sample string 1",
      "type": "sample string 2",
      "descriptionText": "sample string 3"
    }
  ],
  "id": "d90cdee1-4d08-4b3a-a763-5d9ecb36dea9",
  "formLayoutName": "sample string 2",
  "patientExternalId": "sample string 3",
  "patientFullName": "sample string 4",
  "status": "sample string 5",
  "creationDate": "2026-05-29T16:57:20.1214145+00:00"
}

application/xml, text/xml

Sample:
<OpenFormModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Forms">
  <CreationDate>2026-05-29T16:57:20.1214145+00:00</CreationDate>
  <FormLayoutName>sample string 2</FormLayoutName>
  <ID>d90cdee1-4d08-4b3a-a763-5d9ecb36dea9</ID>
  <PatientExternalId>sample string 3</PatientExternalId>
  <PatientFullName>sample string 4</PatientFullName>
  <Status>sample string 5</Status>
  <OpenFormQuestions>
    <OpenFormQuestionModel>
      <AnswerOptionOfOpenFormQuestions>
        <AnswerOptionOfOpenFormQuestionModel>
          <Category>sample string 1</Category>
          <Name>sample string 2</Name>
        </AnswerOptionOfOpenFormQuestionModel>
        <AnswerOptionOfOpenFormQuestionModel>
          <Category>sample string 1</Category>
          <Name>sample string 2</Name>
        </AnswerOptionOfOpenFormQuestionModel>
      </AnswerOptionOfOpenFormQuestions>
      <BooleanAnswer>true</BooleanAnswer>
      <DateAnswer>2026-05-29T16:57:20.1214145+00:00</DateAnswer>
      <Hint>sample string 3</Hint>
      <Label>sample string 2</Label>
      <QuestionItemAnswerType>sample string 6</QuestionItemAnswerType>
      <QuestionItemGroupName>sample string 5</QuestionItemGroupName>
      <QuestionItemName>sample string 4</QuestionItemName>
      <TextAnswer>sample string 7</TextAnswer>
      <Type>sample string 1</Type>
    </OpenFormQuestionModel>
    <OpenFormQuestionModel>
      <AnswerOptionOfOpenFormQuestions>
        <AnswerOptionOfOpenFormQuestionModel>
          <Category>sample string 1</Category>
          <Name>sample string 2</Name>
        </AnswerOptionOfOpenFormQuestionModel>
        <AnswerOptionOfOpenFormQuestionModel>
          <Category>sample string 1</Category>
          <Name>sample string 2</Name>
        </AnswerOptionOfOpenFormQuestionModel>
      </AnswerOptionOfOpenFormQuestions>
      <BooleanAnswer>true</BooleanAnswer>
      <DateAnswer>2026-05-29T16:57:20.1214145+00:00</DateAnswer>
      <Hint>sample string 3</Hint>
      <Label>sample string 2</Label>
      <QuestionItemAnswerType>sample string 6</QuestionItemAnswerType>
      <QuestionItemGroupName>sample string 5</QuestionItemGroupName>
      <QuestionItemName>sample string 4</QuestionItemName>
      <TextAnswer>sample string 7</TextAnswer>
      <Type>sample string 1</Type>
    </OpenFormQuestionModel>
  </OpenFormQuestions>
  <OpenFormSections>
    <OpenFormSectionModel>
      <DescriptionText>sample string 3</DescriptionText>
      <LabelText>sample string 1</LabelText>
      <Type>sample string 2</Type>
    </OpenFormSectionModel>
    <OpenFormSectionModel>
      <DescriptionText>sample string 3</DescriptionText>
      <LabelText>sample string 1</LabelText>
      <Type>sample string 2</Type>
    </OpenFormSectionModel>
  </OpenFormSections>
</OpenFormModel>